You can translate the question and the replies:

Reason: Could not initialize class com.denodo.vdp.jdbc.Driver on PCF

Get error "Reason: Could not initialize class com.denodo.vdp.jdbc.Driver" when publishing app on PCF(pivotal cloud foundry) using Java build pack 4 _14 uses openJDK But we didn't face same issue in our local development which uses oraclejdk is Denodo vdp jdbc driver does not support on openjdk?
user
05-08-2021 11:53:19 -0400

1 Answer

Hi, In Denodo, I am able to use the JDBC driver with the openJDK. Although the openJDK can be used, I need to use Java 8 for Denodo 7 and Java 11 for Denodo 8. This issue could be related to having the wrong version of java installed. For an overview of the JDBC connections check out the [Access Through JDBC](https://community.denodo.com/docs/html/browse/8.0/en/vdp/developer/access_through_jdbc/access_through_jdbc#) section Virtual DataPort Developer Guide. If you have a valid support user account, please open a new support case at support.denodo.com so that the support team can review these issues in detail. Hope this helps!
Denodo Team
05-08-2021 17:51:03 -0400
You must sign in to add an answer. If you do not have an account, you can register here